- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- GetImageDynamicThreshold
- SegmentImage

# NAME

segment - Segment an Image with Thresholding Fuzzy c-Means

# SYNOPSIS

DoublePixelPacket GetImageDynamicThreshold( const Image *image, const double cluster_threshold, const double smooth_threshold, ExceptionInfo *);

unsigned int SegmentImage( Image *image, const ColorspaceType colorspace, const unsigned int verbose, const double cluster_threshold, const double smooth_threshold );

# FUNCTION DESCRIPTIONS

## GetImageDynamicThreshold

> GetImageDynamicThreshold() returns the dynamic threshold for an image.

The format of the GetImageDynamicThreshold method is:

> DoublePixelPacket GetImageDynamicThreshold ( const Image *image, const double cluster_threshold, const double smooth_threshold, ExceptionInfo *);

A description of each parameter follows.

image:
  The image.

cluster_threshold:
  This double represents the minimum number of pixels contained in a hexahedra before it can be considered valid (expressed as a percentage).

smooth_threshold:
  the smoothing threshold eliminates noise in the second derivative of the histogram. As the value is increased, you can expect a smoother second derivative.

exception:
  Return any errors or warnings in this structure.

## SegmentImage

> SegmentImage() segment an image by analyzing the histograms of the color components and identifying units that are homogeneous with the fuzzy C-means technique.

The format of the SegmentImage method is:

> unsigned int SegmentImage ( Image *image, const ColorspaceType colorspace, const unsigned int verbose, const double cluster_threshold, const double smooth_threshold );

A description of each parameter follows.

image:
  The image.

colorspace:
  indicates the colorspace.

verbose:
  A value greater than zero prints detailed information about the identified classes.

cluster_threshold:
  This double represents the minimum number of pixels contained in a hexahedra before it can be considered valid (expressed as a percentage).

smooth_threshold:
  the smoothing threshold eliminates noise in the second derivative of the histogram. As the value is increased, you can expect a smoother second derivative.

"Image manipulation software that works like magick"